Get batch status
curl --request GET \
--url https://api.sailresearch.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sailresearch.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sailresearch.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "batch_abc123",
"request_counts": 2,
"created_at": 1741564800,
"label": "my-batch-job",
"request_status": {
"my-first-request": {
"status": "COMPLETED"
},
"my-second-request": {
"status": "RUNNING"
}
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}Batches API
Get batch status
Retrieve the current status of a batch.
GET
/
batches
/
{batch_id}
Get batch status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Returns the current status of a batch.
Unique identifier for the batch.
Total number of requests in the batch.
Unix timestamp of when the batch was created.
A map of custom_id to its current status.
Show child attributes
Show child attributes
The label for the batch, if provided.
⌘I